Subject: Re: [mpls] Éric Vyncke's No Objection on draft-ietf-mpls-summary-frr-rsvpte-08: (with COMMENT)

From: Tarek Saad <[email-masked]>
Date: Wed, 26 Feb 2020 18:22:47 +0000

Thank you Eric for reviewing the document and for providing comments. We have uploaded version -09 that addresses them.

Please see inline for responses.

Thank you for the work put into this document. Please find below a couple of non-blocking COMMENTs (even if non blocking, I would appreciate it if authors sent a response).

I hope that this helps to improve the document,

Regards,

-éric

== COMMENTS ==

-- Section 3.1.1 and other places --

Is there any reason why the "Reserved field" does not specify "to be set to 0 when sending and ignored on received" ?
[TS]: Agreed, was addressed in latest version.

-- Section 3.1 --

The flow is a little strange IMHO, there is text at the end of 3.1.2 that probably applies to the whole section 3.1. If this is the case, then may I suggest to have a subsection 3.1.3 ?

[TS]: thanks for the suggestion. We have created a new section 3.1.3 for the section as suggested.

3.1.3<https://datatracker.ietf.org/doc/html/draft-ietf-mpls-summary-frr-rsvpte-09#section-3.1.3>.  Processing Rules for B-SFRR-Ready Extended ASSOCIATION Object

-- Section 4 --

Is the number "11bbbbbb" be understood as a binary number ?

Is "ignoring and passing" the object enough for backward compatibility? I am not an MPLS TE expert at all... but I find this section a little light: I assume that this object must be understand by the remote side of the "FRR tunnel".

[TS]: Yes, the number "11bbbbbb" is in bits– where b represents a bit that takes 0 or 1 value. This is customary for new RSVP class-nums that are unknown to some RSVP node(s) and that need to be ignored and passed unchanged - RFC2205 details this behavior in section 3.10. We have clarified this and added a reference.

Regards,
Tarek

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 26 Feb 2020 18:26:58 +0000

Thank you Tarek

-éric

From: Tarek Saad <[email-masked]>
Date: Wednesday, 26 February 2020 at 19:23
To: The IESG <[email-masked]>, Eric Vyncke <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Nicolai Leymann <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: Éric Vyncke's No Objection on draft-ietf-mpls-summary-frr-rsvpte-08: (with COMMENT)

Regards,

-éric

== COMMENTS ==

-- Section 3.1 --

-- Section 4 --

Regards,
Tarek